@import "../theme";

$list-item-padding: 12px;
$colors-list: (
  'black': #000,
  'red': #e50000
);

//@mixin circle($width: 50px) {
//  width: $width;
//  height: $width;
//  border-radius: 50%;
//}

%circle {
  display: flex;
  width: 50px;
  height: 50px;
  border-radius: 50%;
}

//.circle {
//    width: 50px;
//    height: 50px;
//    border-radius: 50%;
//}

.cards {

  &-wrapper {

  }

  &__icon {
    @extend %circle;
    background-color: map-get($colors-list, 'blue');
  }

  &__heading {
    display: flex;
    justify-content: center;
    text-align: center;
    margin-bottom: 24px;
  }

  &-list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 24px;

    &-item {
      background-color: rgba($yellow-color, 0.3);
      padding: $list-item-padding;
      border-radius: 24px;

      &:hover {
        background-color: rgba($yellow-color, 0.7);
      }

      &__name {
        display: flex;
        justify-content: center;
        text-align: center;
        font-size: 24px;
        line-height: 1.5;
        font-weight: bold;
        text-transform: uppercase;
        margin-bottom: 8px;
      }

      &__img {
        width: 100%;
        border-radius: 24px;
      }
    }
  }
}
